Package org.silverpeas.components.kmelia.service

## Class KmeliaBinsScheduledPurger

- java.lang.Object
- - org.silverpeas.components.kmelia.service.KmeliaBinsScheduledPurger

- All Implemented Interfaces:
    `org.silverpeas.core.initialization.Initialization`

      @Service
      public class KmeliaBinsScheduledPurger
      extends Object
      implements org.silverpeas.core.initialization.Initialization

  A service scheduled in time to clean out periodically the bin in each Kmelia instances of the items (both topics and publications) that have been removed since a given number of days. The purge scheduling and the delay in days can be parameterized in the `org/silverpeas/kmelia/settings/kmeliaSettings.properties` configuration file.
  Author:
    mmoquillon

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaBinsScheduledPurger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init()` |
    `void` | `release()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.initialization.Initialization

      `getPriority`

- - ### Constructor Detail

    - #### KmeliaBinsScheduledPurger

          public KmeliaBinsScheduledPurger()

  - ### Method Detail

    - #### init

          public void init()
                    throws org.silverpeas.core.scheduler.SchedulerException

      Specified by:
        `init` in interface `org.silverpeas.core.initialization.Initialization`
      Throws:
        `org.silverpeas.core.scheduler.SchedulerException`

    - #### release

          public void release()
                       throws org.silverpeas.core.scheduler.SchedulerException

      Specified by:
        `release` in interface `org.silverpeas.core.initialization.Initialization`
      Throws:
        `org.silverpeas.core.scheduler.SchedulerException`